/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

/* Generated By:JavaCC: Do not edit this line. DLSyntaxParserConstants.java */
package edu.stanford.smi.protegex.owl.model.classparser.dl;

public interface DLSyntaxParserConstants {

  int EOF = 0;
  int OPENPAR = 6;
  int CLOSEPAR = 7;
  int OPENSQPAR = 8;
  int CLOSESQPAR = 9;
  int UNBOUNDEDVAL = 10;
  int SINGLE_LINE_COMMENT = 14;
  int FORMAL_COMMENT = 15;
  int MULTI_LINE_COMMENT = 16;
  int INTEGER_LITERAL = 18;
  int FLOATING_POINT_LITERAL = 19;
  int EXPONENT = 20;
  int STRING_LITERAL = 21;
  int ONE_OF = 22;
  int IDENTIFIER = 23;
  int DATATYPE_ID = 24;
  int CLASS_ID = 25;
  int OBJECT_PROPERTY_ID = 26;
  int DATATYPE_PROPERTY_ID = 27;
  int INDIVIDUAL_ID = 28;
  int LETTER = 29;
  int DIGIT = 30;

  int DEFAULT = 0;
  int IN_SINGLE_LINE_COMMENT = 1;
  int IN_FORMAL_COMMENT = 2;
  int IN_MULTI_LINE_COMMENT = 3;

  String[] tokenImage = {
    "<EOF>",
    "\" \"",
    "\"\\t\"",
    "\"\\n\"",
    "\"\\r\"",
    "\"\\f\"",
    "\"(\"",
    "\")\"",
    "\"[\"",
    "\"]\"",
    "\"..\"",
    "\"//\"",
    "<token of kind 12>",
    "\"/*\"",
    "<SINGLE_LINE_COMMENT>",
    "\"*/\"",
    "\"*/\"",
    "<token of kind 17>",
    "<INTEGER_LITERAL>",
    "<FLOATING_POINT_LITERAL>",
    "<EXPONENT>",
    "<STRING_LITERAL>",
    "\"owl:oneOf{\"",
    "<IDENTIFIER>",
    "<DATATYPE_ID>",
    "<CLASS_ID>",
    "<OBJECT_PROPERTY_ID>",
    "<DATATYPE_PROPERTY_ID>",
    "<INDIVIDUAL_ID>",
    "<LETTER>",
    "<DIGIT>",
    "\"|\"",
    "\"&\"",
    "\"*\"",
    "\"?\"",
    "\">\"",
    "\"<\"",
    "\"=\"",
    "\"!\"",
    "\"{\"",
    "\"}\"",
  };

}
