/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is Protege-2000.
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 *
 * Protege was developed by Stanford Medical Informatics
 * (http://www.smi.stanford.edu) at the Stanford University School of Medicine
 * with support from the National Library of Medicine, the National Science
 * Foundation, and the Defense Advanced Research Projects Agency.  Current
 * information about Protege can be obtained at http://protege.stanford.edu.
 *
 */

package edu.stanford.smi.protegex.owl.writer.rdfxml.rdfwriter;

import java.util.Comparator;

import edu.stanford.smi.protegex.owl.model.RDFResource;

public class NativeValueComparator implements Comparator {

    public int compare(Object o1, Object o2) {
        int type1 = getType(o1);
        int type2 = getType(o2);
        if (type1 < type2) {
            return -1;
        }
        else if (type1 > type2) {
            return +1;
        }
        else if (o1 instanceof RDFResource) {
            return ((RDFResource) o1).compareTo((RDFResource) o2);
        }
        else {
            return o1.toString().compareTo(o2.toString());
        }
    }
    
    private int getType(Object o) {
        if (o instanceof RDFResource) {
            return 0;
        }
        else {
            return -1;
        }
    }

}
